Loading...
Searching...
No Matches
Catch::Clara::Detail::BoundLambda< L > Struct Template Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Clara::Detail::BoundLambda< L >:
[legend]
Collaboration diagram for Catch::Clara::Detail::BoundLambda< L >:
[legend]

## Public Member Functions

| BoundLambda (L const &lambda)
auto | setValue (std::string const &arg) -> ParserResult override
Public Member Functions inherited from Catch::Clara::Detail::BoundRef
virtual | ~BoundRef ()=default
virtual bool | isContainer () const
virtual bool | isFlag () const

## Public Attributes

L | m_lambda

## Additional Inherited Members

Protected Member Functions inherited from Catch::Detail::NonCopyable
| NonCopyable () noexcept=default

## Constructor & Destructor Documentation

## BoundLambda()

template<typename L>

Catch::Clara::Detail::BoundLambda< L >::BoundLambda | ( | L const & | lambda | ) |

inlineexplicit

Here is the caller graph for this function:

## Member Function Documentation

## setValue()

template<typename L>

auto Catch::Clara::Detail::BoundLambda< L >::setValue | ( | std::string const & | arg | ) | -> ParserResult

inlineoverridevirtual

Implements Catch::Clara::Detail::BoundValueRefBase.

Here is the call graph for this function:

## Member Data Documentation

## m_lambda

template<typename L>

L Catch::Clara::Detail::BoundLambda< L >::m_lambda

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp